## ros-indigo-household-objects-database-msgs 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(household_objects_database_msgs)

set(MSG_DEPS
  std_msgs
  geometry_msgs
  shape_msgs
  object_recognition_msgs
  )

find_package(catkin REQUIRED COMPONENTS message_generation ${MSG_DEPS})

set(
  MSG_FILES
  DatabaseModelPoseList.msg  
  DatabaseModelPose.msg  
  DatabaseReturnCode.msg  
  DatabaseScan.msg
)

set(
  SRV_FILES
  GetModelDescription.srv  
  GetModelList.srv  
  GetModelMesh.srv  
  GetModelScans.srv  
  SaveScan.srv  
  TranslateRecognitionId.srv
)

add_message_files(DIRECTORY msg FILES ${MSG_FILES})
add_service_files(DIRECTORY srv FILES ${SRV_FILES})

generate_messages(DEPENDENCIES ${MSG_DEPS})

catkin_package(
  CATKIN_DEPENDS message_generation ${MSG_DEPS}
  )

=== debian/changelog ===
ros-indigo-household-objects-database-msgs (0.1.2-0trusty) trusty; urgency=high

  * [feat] added ORK type field in DatabaseModelPose #1 <https://github.com/ros-interactive-manipulation/household_objects_database_msgs/issues/1>
  * Updated maintainers
  * Contributors: Matei Ciocarlie, Dave Coleman, Isaac I.Y. Saito

 -- Matei Ciocarlie <matei.ciocarlie@gmail.com>  Tue, 19 Jul 2016 07:00:00 -0000

ros-indigo-household-objects-database-msgs (0.1.1-0trusty) trusty; urgency=high

  * tagged 0.1.1 version
  * added ORK type field in DatabaseModelPose
  * Contributors: Matei Ciocarlie

 -- Matei Ciocarlie <matei@willowgarage.com>  Fri, 15 Mar 2013 07:00:00 -0000

ros-indigo-household-objects-database-msgs (0.1.0-0trusty) trusty; urgency=high

  * Initial commit; moved files over from household_objects_database package in object_manipulation
  * Contributors: Matei Ciocarlie

 -- Matei Ciocarlie <matei.ciocarlie@gmail.com>  Tue, 05 Mar 2013 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-household-objects-database-msgs
Section: misc
Priority: extra
Maintainer: Matei Ciocarlie <matei.ciocarlie@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-object-recognition-msgs, ros-indigo-shape-msgs, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-household-objects-database-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-object-recognition-msgs, ros-indigo-shape-msgs, ros-indigo-std-msgs
Description: The household_objects_database_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-household-objects-database-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
